My Project: dgThreadHive::dgThreadBee Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgThreadHive::dgThreadBee Class Reference

`#include <dgThreadHive.h>`

Inheritance diagram for dgThreadHive::dgThreadBee:

## Public Member Functions

| dgThreadBee ()
| ~dgThreadBee ()
bool | IsBusy () const
void | SetPerfomanceCounter (OnGetPerformanceCountCallback callback)
void | SetUp (dgMemoryAllocator *const allocator, const char *const name, dgInt32 id, dgThreadHive *const hive)
virtual void | Execute (dgInt32 threadId)
void | RunNextJobInQueue (dgInt32 threadId)
Public Member Functions inherited from dgThread
| dgThread ()
| dgThread (const char *const name, dgInt32 id)
virtual | ~dgThread ()
bool | StillBusy () const
void | SuspendExecution (dgSemaphore &mutex)
void | SuspendExecution (dgInt32 count, dgSemaphore *const mutexes)
dgInt32 | GetPriority () const
void | SetPriority (int priority)

## Public Attributes

dgInt32 | m_isBusy
dgUnsigned32 | m_ticks
dgSemaphore | m_myMutex
dgThreadHive * | m_hive
dgMemoryAllocator * | m_allocator
OnGetPerformanceCountCallback | m_getPerformanceCount

## Additional Inherited Members

Protected Member Functions inherited from dgThread
void | Init ()
void | Init (const char *const name, dgInt32 id)
void | Close ()
Static Protected Member Functions inherited from dgThread
static void * | dgThreadSystemCallback (void *threadData)
Protected Attributes inherited from dgThread
pthread_t | m_handle
dgInt32 | m_id
dgInt32 | m_terminate
dgInt32 | m_threadRunning
char | m_name [32]

## Constructor & Destructor Documentation

## § dgThreadBee()

dgThreadHive::dgThreadBee::dgThreadBee | ( |  | ) |

## § ~dgThreadBee()

dgThreadHive::dgThreadBee::~dgThreadBee | ( |  | ) |

## Member Function Documentation

## § Execute()

void dgThreadHive::dgThreadBee::Execute | ( | dgInt32 | threadId | ) |

virtual

Implements dgThread.

## § IsBusy()

bool dgThreadHive::dgThreadBee::IsBusy | ( |  | ) | const

## § RunNextJobInQueue()

void dgThreadHive::dgThreadBee::RunNextJobInQueue | ( | dgInt32 | threadId | ) |

## § SetPerfomanceCounter()

void dgThreadHive::dgThreadBee::SetPerfomanceCounter | ( | OnGetPerformanceCountCallback | callback | ) |

## § SetUp()

void dgThreadHive::dgThreadBee::SetUp | ( | dgMemoryAllocator *const | allocator,
|  | const char *const | name,
|  | dgInt32 | id,
|  | dgThreadHive *const | hive
| ) |  |

## Member Data Documentation

## § m_allocator

dgMemoryAllocator* dgThreadHive::dgThreadBee::m_allocator

## § m_getPerformanceCount

OnGetPerformanceCountCallback dgThreadHive::dgThreadBee::m_getPerformanceCount

## § m_hive

dgThreadHive* dgThreadHive::dgThreadBee::m_hive

## § m_isBusy

dgInt32 dgThreadHive::dgThreadBee::m_isBusy

## § m_myMutex

dgSemaphore dgThreadHive::dgThreadBee::m_myMutex

## § m_ticks

dgUnsigned32 dgThreadHive::dgThreadBee::m_ticks

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgThreadHive.h
- dynamics.mod/NewtonDynamics/source/core/dgThreadHive.cpp